ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

RegAlloc.Linear.PPC.FreeRegs

Description

Free regs map for PowerPC

# Documentation

data FreeRegs #

Constructors

FreeRegs !Word32 !Word32 |

Instances

Show FreeRegs # |
Methods showsPrec :: Int -> FreeRegs -> ShowS Source # show :: FreeRegs -> String Source # showList :: [FreeRegs] -> ShowS Source #
FR FreeRegs # |
Methods frAllocateReg :: Platform -> RealReg -> FreeRegs -> FreeRegs # frGetFreeRegs :: Platform -> RegClass -> FreeRegs -> [RealReg] # frInitFreeRegs :: Platform -> FreeRegs # frReleaseReg :: Platform -> RealReg -> FreeRegs -> FreeRegs #

noFreeRegs :: FreeRegs #

releaseReg :: RealReg -> FreeRegs -> FreeRegs #

initFreeRegs :: Platform -> FreeRegs #

getFreeRegs :: RegClass -> FreeRegs -> [RealReg] #

allocateReg :: RealReg -> FreeRegs -> FreeRegs #